@echo off

SET PATH=C:\DJGPP\BIN;%PATH%
SET DJGPP=C:\DJGPP\DJGPP.ENV

echo -> DRAW.O
gcc -c -g -O2 draw.c
REM PAUSE
echo -> MAIN.O
gcc -c -g -O2 main.c
REM PAUSE
echo -> ZONE.O
gcc -c -g -O2 zone.c
REM PAUSE
echo -> TEXT.O
gcc -c -g -O2 text.c
REM PAUSE
echo -> OBJECTS.O
gcc -c -g -O2 objects.c
REM PAUSE
echo -> SPRITES.O
gcc -c -g -O2 sprites.c
REM PAUSE
echo -> TOOLS.O
gcc -c -g -O2 tools.c
REM PAUSE
echo -> MENUS.O
gcc -c -g -O2 menus.c
REM PAUSE
echo -> OBJ01.O
gcc -c -g -O2 obj01.c
REM PAUSE
echo -> PSG.O
gcc -c -g -O2 psg.c
REM PAUSE
echo -> M68K.O
gcc -c -g -O2 m68k.c
REM PAUSE
echo -> SCRIPT.O
gcc -c -g -O2 script.c
REM PAUSE
echo -> DEMO.O
gcc -c -g -O2 demo.c
REM PAUSE
echo -> YM2612.O
gcc -c -g -O2 ym2612.c
REM PAUSE
echo -> SCRIPT2.O
gcc -c -g -O2 script2.c
REM PAUSE


copy draw.o 0.o
copy main.o 1.o
copy zone.o 2.o
copy text.o 3.o
copy objects.o 4.o
copy sprites.o 5.o
copy tools.o 6.o
copy menus.o 7.o
copy obj01.o 8.o
copy psg.o 9.o
copy m68k.o a.o
copy script.o b.o
copy demo.o c.o
copy ym2612.o d.o
copy script2.o e.o
gcc -o DrawDOS.exe 0.o 1.o 2.o 3.o 4.o 5.o 6.o 7.o 8.o 9.o a.o b.o c.o d.o e.o -g -lalleg -lz
REM PAUSE


exe2coff DrawDOS.exe
copy /b Cwsdstub.exe + DrawDOS DrawDOS.exe
upx -9 DrawDOS.exe


del DrawDOS
del 0.o
del 1.o
del 2.o
del 3.o
del 4.o
del 5.o
del 6.o
del 7.o
del 8.o
del 9.o
del a.o
del b.o
del c.o
del d.o
del e.o